/**

* Copyright (c) 2003-2006 Illinois Institute of Technology.
* All rights reserved.
*
* This file is part of the NBP software package. For license
* information, see the LICENSE file in the top level directory of the
* NBP source distribution.
*
* Released Date: September 5 2006
* This is the NBP I release by the
* NBP Group,
* http://www.cs.iit.edu/~nbp
* Department of Computer Science,
* Illinois Institute of Technology.
*
* This release has been tested under Windows XP Professional
*
* Supervisor
* ----------
* Illiniois Institute of Technology:
* -Dr. Xian-He Sun
*
* Author(s)
* -----------------
* Illinois Institute of Technology:
* -Alaknantha Eswaradass
* -Ming Wu
* -Xian-He Sun
*
*/
import java.util.ArrayList;
import java.util.StringTokenizer;

/**
 *
 * Represents a line in a datafile
 * Used in parting datafile
 * Used by pre processor
 */
class Row{
	private ArrayList data = new ArrayList(10);
	private int size = 0;
	public Row(String line){
		if(line==null) return;
		StringTokenizer st = new StringTokenizer(line);
	      while (st.hasMoreTokens())
	        data.add( st.nextToken());
	    size = data.size();
	}
	

//	This function returns the index th word in the line
	 public String getValue(int index){
	      if(index>=size) return "0";
	      return (String) data.get(index);
	  }


}
